// DlgSharppenStrength.cpp : implementation file
//

#include "stdafx.h"
#include "netplayx.h"
#include "DlgSharppenStrength.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgSharppenStrength dialog


CDlgSharppenStrength::CDlgSharppenStrength(int ID, CWnd* pParent /* = NULL */)
	: CDialog(ID, pParent)
{
	//{{AFX_DATA_INIT(CDlgSharppenStrength)
	m_iSharppenStrength = 0;
	//}}AFX_DATA_INIT
}


void CDlgSharppenStrength::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgSharppenStrength)
	DDX_Text(pDX, IDC_EDIT_SHARPPENSTRENGTH, m_iSharppenStrength);
	DDV_MinMaxInt(pDX, m_iSharppenStrength, -1, 9);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgSharppenStrength, CDialog)
	//{{AFX_MSG_MAP(CDlgSharppenStrength)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgSharppenStrength message handlers

void CDlgSharppenStrength::OnOK() 
{
	// TODO: Add extra validation here
	if (!UpdateData(TRUE))
		return;
	
	CDialog::OnOK();
}
